org.apache.commons.math3.analysis.interpolation

## Class TricubicSplineFunction

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.TricubicSplineFunction

All Implemented Interfaces:
  TrivariateFunction

     class TricubicSplineFunction
    extends java.lang.Object
    implements TrivariateFunction

3D-spline function.

Version:
  $Id: TricubicSplineInterpolatingFunction.java 1385314 2012-09-16 16:35:49Z tn $

### Field Summary

Fields
`private double[][][]` `a` Coefficients
`private static short` `N` Number of points.

### Constructor Summary

Constructors
Constructor and Description
`TricubicSplineFunction(double[] aV)`

### Method Summary

Methods
`double` `value(double x, double y, double z)` Compute the value for the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### N

    private static final short N

Number of points.

See Also:
  Constant Field Values

#### a

    private final double[][][] a

Coefficients

### Constructor Detail

#### TricubicSplineFunction

    public TricubicSplineFunction(double[] aV)

Parameters:
  `aV` - List of spline coefficients.

### Method Detail

#### value

    public double value(double x,
               double y,
               double z)
                 throws OutOfRangeException

Description copied from interface: `TrivariateFunction`
Compute the value for the function.

Specified by:
  `value` in interface `TrivariateFunction`
Parameters:
  `x` - x-coordinate of the interpolation point.
  `y` - y-coordinate of the interpolation point.
  `z` - z-coordinate of the interpolation point.
Returns:
  the interpolated value.
Throws:
  `OutOfRangeException` - if `x`, `y` or `z` are not in the interval `[0, 1]`.